Endpoint
Path parameters
Query parameters
Response (200)
This page is generated from the live API contract at
https://api.thestatsapi.com/llms.txt.Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Retrieve per-player match statistics, optionally filtered by player IDs.
GET https://api.thestatsapi.com/api/football/matches/{match_id}/player-stats
| Name | Type | Required | Description |
|---|---|---|---|
match_id | string | Yes | Example: mt_838955483 |
| Name | Type | Required | Default | Description |
|---|---|---|---|---|
player_ids | string | No | Comma-separated list of player IDs to filter stats for specific players. Example: pl_29627593,pl_7922290,pl_08984824 |
{
"data": [
{
"player_id": "pl_29627593",
"player_name": "Mohamed Salah",
"team_id": "tm_0406",
"position": "F",
"rating": 8.2,
"minutes_played": 90,
"started": true,
"played": true,
"passing": {
"total_passes": 42,
"accurate_passes": 38,
"key_passes": 3,
"assists": 1,
"total_crosses": 4,
"accurate_crosses": 2,
"total_long_balls": 5,
"accurate_long_balls": 3
},
"shooting": {
"goals": 1,
"total_shots": 5,
"shots_on_target": 3,
"shots_off_target": 1,
"blocked_shots": 1,
"big_chances_created": 2,
"expected_goals": 0.81,
"expected_assists": 0.22,
"np_expected_goals": 0.81
},
"duels": {
"duel_won": 8,
"duel_lost": 4,
"aerial_won": 1,
"challenge_lost": 1,
"won_contest": 4,
"dispossessed": 2
},
"defending": {
"tackles": 2,
"interceptions": 1,
"clearances": 0
},
"goalkeeping": {
"saves": 0
},
"general": {
"touches": 62,
"fouls": 1,
"was_fouled": 3,
"offsides": 1,
"yellow_cards": 0,
"red_cards": 0,
"possession_lost": 12,
"player_subbed_on": "pl_57344297",
"player_subbed_off": "pl_29627593"
}
}
]
}
https://api.thestatsapi.com/llms.txt.